<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (13) on Tue May 19 01:49:06 EEST 2020 -->
<title>Restaurant</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-19">
<meta name="description" content="declaration: package: business_layer, class: Restaurant">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">business_layer</a></div>
<h1 title="Class Restaurant" class="title">Class Restaurant</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">java.util.Observable
<div class="inheritance">business_layer.Restaurant</div>
</div>
</div>
<section class="description">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code>, <code>java.io.Serializable</code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">Restaurant</span>
extends java.util.Observable
implements java.io.Serializable, <a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></pre>
<div class="block">– extinde Observable si implementeaza interfetele Serializable si IRestaurantProcessing; clasa contine o constanta serVUID (static final long), necesara in procesele de serializare/deserializare, o lista de obiecte de tip Observer (ArrayList<Observer>), un obiect de tipul Map<Order, ArrayList<MenuItem>> pentru maparea comenzilor intr-o structura de tip hashtable, o lista de produse pentru meniu (ArrayList<MenuItem>); pe langa constructor, clasa contine o metoda care notifica toti observerii, cate o metoda pentru generarea liniilor din tabelele pentru comenzi, respectiv meniu, metoda isWellFormed() si metode de get pentru variabilele instanta; in plus, clasa descrie corpul metodelor declarate in interfata IRestaurantProcessing;</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#business_layer.Restaurant">Serialized Form</a></dd>
<dt><span class="simpleTagLabel">Invariant:</span></dt>
<dd>isWellFormed()</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.util.Map,java.util.List)">Restaurant</a></span>&#8203;(java.util.Map&lt;<a href="Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;&nbsp;orders,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;menu)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></span>&#8203;(<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>float</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#computePriceForOrder(business_layer.Order)">computePriceForOrder</a></span>&#8203;(<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></span>&#8203;(int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteMenuItem(int)">deleteMenuItem</a></span>&#8203;(int&nbsp;ID)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#deleteOrder(business_layer.Order)">deleteOrder</a></span>&#8203;(<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItemName(int,java.lang.String)">editMenuItemName</a></span>&#8203;(int&nbsp;ID,
java.lang.String&nbsp;newName)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#editMenuItemPrice(int,float)">editMenuItemPrice</a></span>&#8203;(int&nbsp;ID,
float&nbsp;newPrice)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#generateBill(java.lang.String,business_layer.Order)">generateBill</a></span>&#8203;(java.lang.String&nbsp;fileName,
<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code>java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMenu()">getMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>java.util.List&lt;<a href="../presentation_layer/Observer.html" title="interface in presentation_layer">Observer</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getObservers()">getObservers</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>java.util.Map&lt;<a href="Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getOrders()">getOrders</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#notifyAllObs()">notifyAllObs</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>java.lang.Object[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#viewMenu()">viewMenu</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>java.lang.Object[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#viewOrders()">viewOrders</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.util.Observable</h3>
<a id="methods.inherited.from.class.java.util.Observable">
<!--   -->
</a><code>addObserver, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers</code></div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(java.util.Map,java.util.List)">Restaurant</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">Restaurant</span>&#8203;(<span class="arguments">java.util.Map&lt;<a href="Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;&nbsp;orders,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;menu)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getMenu()">getMenu</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;</span>&nbsp;<span class="memberName">getMenu</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getOrders()">getOrders</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.Map&lt;<a href="Order.html" title="class in business_layer">Order</a>,&#8203;java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&gt;</span>&nbsp;<span class="memberName">getOrders</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getObservers()">getObservers</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.util.List&lt;<a href="../presentation_layer/Observer.html" title="interface in presentation_layer">Observer</a>&gt;</span>&nbsp;<span class="memberName">getObservers</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="notifyAllObs()">notifyAllObs</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">notifyAllObs</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">addNewMenuItem</span>&#8203;(<span class="arguments"><a href="MenuItem.html" title="class in business_layer">MenuItem</a>&nbsp;menuItem)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#addNewMenuItem(business_layer.MenuItem)">addNewMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItemName(int,java.lang.String)">editMenuItemName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItemName</span>&#8203;(<span class="arguments">int&nbsp;ID,
java.lang.String&nbsp;newName)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#editMenuItemName(int,java.lang.String)">editMenuItemName</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="editMenuItemPrice(int,float)">editMenuItemPrice</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">editMenuItemPrice</span>&#8203;(<span class="arguments">int&nbsp;ID,
float&nbsp;newPrice)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#editMenuItemPrice(int,float)">editMenuItemPrice</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteMenuItem(int)">deleteMenuItem</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">deleteMenuItem</span>&#8203;(<span class="arguments">int&nbsp;ID)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#deleteMenuItem(int)">deleteMenuItem</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">createNewOrder</span>&#8203;(<span class="arguments">int&nbsp;orderID,
java.util.Date&nbsp;date,
int&nbsp;table,
java.util.List&lt;<a href="MenuItem.html" title="class in business_layer">MenuItem</a>&gt;&nbsp;items)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#createNewOrder(int,java.util.Date,int,java.util.List)">createNewOrder</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="deleteOrder(business_layer.Order)">deleteOrder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">deleteOrder</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#deleteOrder(business_layer.Order)">deleteOrder</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="computePriceForOrder(business_layer.Order)">computePriceForOrder</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">float</span>&nbsp;<span class="memberName">computePriceForOrder</span>&#8203;(<span class="arguments"><a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#computePriceForOrder(business_layer.Order)">computePriceForOrder</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="generateBill(java.lang.String,business_layer.Order)">generateBill</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">generateBill</span>&#8203;(<span class="arguments">java.lang.String&nbsp;fileName,
<a href="Order.html" title="class in business_layer">Order</a>&nbsp;order)</span></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="IRestaurantProcessing.html#generateBill(java.lang.String,business_layer.Order)">generateBill</a></code>&nbsp;in interface&nbsp;<code><a href="IRestaurantProcessing.html" title="interface in business_layer">IRestaurantProcessing</a></code></dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="viewOrders()">viewOrders</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.Object[][]</span>&nbsp;<span class="memberName">viewOrders</span>()</div>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="viewMenu()">viewMenu</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.Object[][]</span>&nbsp;<span class="memberName">viewMenu</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Restaurant.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
